RM(1)

NOME
rm - apaga arquivos e diretórios

SINOPSE
rm [opções] arquivo...

Opções POSIX: [-fiRr]

Opções GNU (forma reduzida): [-dfirvR] [--help] [--version] [--]

DESCRIÇÃO
rm apaga o arquivo. Por padrão, não são apagados diretórios. Mas quando a opção -r ou -R é fornecida, a árvore de diretório abaixo do diretório especificado é removida (e não há limitações de níveis de árvores de diretórios que podem ser apagados por 'rm -r'). É um erro quando o último componente do caminho de busca do arquivo é um dos dois . ou .. (para se evitar surpresas desagradáveis com 'rm -r .*' ou 'rm -r ..*').

Se a opção -i é dada, ou se um arquivo não pode ser escrito, a entrada padrão é um terminal, e se a opção -f não é fornecida, rm pergunta para o usuário se deseja remover o arquivo, escrevendo a questão no erro padrão e lendo a resposta na entrada padrão. Se a resposta for negativa, o arquivo é preservado.

OPÇÕES POSIX

-f  Não pergunta por confirmações. Não imprime mensagens de diagnóstico. Não produz mensagens de erro se o erro se deve a arquivos que não existem.

-i  Pergunta por confirmação (No caso de ambas -f and -i serem fornecidas, a última delas terá efeito.)

-r or -R
    Apaga as árvores de diretório de forma recursiva.

DETALHES SVID
A definição da interface System V proíbe a remoção da última ligação para um arquivo binário executável que está sendo executado.

DETALHES GNU
A implementação GNU (no Arquivos de Utilitários 3.16) está interrompida no sentido que há um limite superior à profundidade de hierarquias que podem ser removidas. (Se necessário, um utilitário 'deltree' pode ser usado para remover muitos níveis de árvores.)

OPÇÕES GNU

-d, --directory
    Remove diretórios com unlink(2) no lugar de rmdir(2), e não exige que um diretório esteja vazio antes de tentar um unlink. Somente funciona se você tem privilégios apropriados. Porque ao desvincular um diretório faz qualquer arquivo no diretório apagado se tornar inacessível, é recomendado passar o fsck(8) no sistema de arquivos depois de fazer isto.

-f, --force
    Ignora arquivos não existentes a nunca questiona o usuário.

-i, --interactive
    Questiona se cada arquivo será apagado. Se a reposta for negativa, o arquivo é preservado.

-r, -R, --recursive
    Apaga o conteúdo dos diretórios de forma recursiva.

-v, --verbose
    Imprime o nome de cada arquivo antes de apagá-lo.

OPÇÕES PADRÃO GNU

--help
    Imprime a mensagem de uso na saída padrão e sai.

--version
    Imprime a versão na saída padrão e sai.

--  Encerra a lista de opção.

AMBIENTE
As variáveis LANG, LC_ALL, LC_CTYPE and LC_MESSAGES tem seu significado usual.

DE ACORDO COM
POSIX 1003.2, exceto para limitações no nível de profundidade de hierarquia do arquivo.

NOTAS
Esta página descreve rm como é encontrado no pacote Utilitários de Arquivo 4.0; outras versões podem ser um pouco diferentes. Envie correções e adições para aeb@cwi.nl. Relatório de problemas no programa para fileutils-bugs@gnu.ai.mit.edu.

TRADUZIDO POR LDP-BR em 21/08/2000.
André L. Fassone Canova <lonelywolf@blv.com.br> (tradução) Ricardo C.O. Freitas <english.quest@best-service.com> (revisão)